Bug 817084 - kickstart install from cdrom fails
kickstart install from cdrom fails
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
17
ppc64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-27 12:02 EDT by Mark Hamzy
Modified: 2012-05-12 12:21 EDT (History)
4 users (show)

See Also:
Fixed In Version: anaconda-17.26-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-12 12:21:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda.log (5.76 KB, text/plain)
2012-04-27 12:07 EDT, Mark Hamzy
no flags Details

  None (edit)
Description Mark Hamzy 2012-04-27 12:02:35 EDT
Booting with the following parameters:
     linux ks=http://chukar.rchland.ibm.com/Fedora17-sharpie-cdrom-minimal-ks.cfg

Here is the kickstart file
8<---8<---8<---8<---
# Kickstart file automatically generated by anaconda.

#version=DEVEL
install
cdrom
lang en_US.UTF-8
keyboard us
network --onboot yes --device eth0 --bootproto=static --ip=9.5.250.145 --netmask=255.255.255.0 --gateway=9.5.250.1 --nameserver=9.10.244.100 --hostname=sharpie.rchland.ibm.com --noipv6
network --onboot yes --device eth1 --bootproto=static --ip=9.5.252.203 --netmask=255.255.255.0 --hostname=nibbler.rchland.ibm.com --noipv6
timezone America/Chicago
rootpw  --iscrypted aaaa
selinux --enforcing
authconfig --enableshadow --passalgo=sha512
firewall --service=ssh --service=http

# The following is the partition information you requested
# Note that any partitions you deleted are not expressed
# here so unless you clear all partitions first, this is
# not guaranteed to work
clearpart --all --drives=sda

part pv.008003 --grow --size=500
volgroup vg --pesize=32768 pv.008003
logvol swap --name=lv_swap --vgname=vg --grow --size=1024 --maxsize=6096
logvol / --fstype=ext4 --name=lv_root --vgname=vg --grow --size=1024 --maxsize=51200
part /boot --fstype=ext4 --size=500
part prepboot --fstype=prepboot --size=4

bootloader --location=partition --timeout=5 --append="rhgb quiet"

%packages --nobase
@core
%end
8<---8<---8<---

Fails with the following message:

Unable to read package metadata. This may be due to a missing repodata directory.  Please ensure that your install tree has been correctly generated.
failure: repodata/repomd.xml from anaconda-0: [Errno 256] No more mirrors to try.
Comment 1 Mark Hamzy 2012-04-27 12:07:20 EDT
Created attachment 580799 [details]
anaconda.log
Comment 2 Mark Hamzy 2012-04-27 13:39:48 EDT
I changed the yaboot conf file on the DVD to not include a root= statement (from a suggestion by wwoods) and it still fails.

[    0.000000] Kernel command line: ro  rd.luks=0 rd.md=0 rd.dm=0 ks=http://chukar.rchland.ibm.com/Fedora17-sharpie-cdrom-minimal-ks.cfg
Comment 3 Mark Hamzy 2012-04-27 14:17:24 EDT
[anaconda root@9-5-90-177 tmp]# mount | grep sr0
/dev/sr0 on /run/install/repo type iso9660 (ro,relatime)
Comment 4 Mark Hamzy 2012-04-27 14:17:49 EDT
[anaconda root@9-5-90-177 tmp]# ls -l /mnt
total 4
drwxr-xr-x. 8 root root 4096 Apr 27 10:37 sysimage
Comment 5 Will Woods 2012-04-27 14:32:09 EDT
lorax 17.11 added a symlink for /mnt/install -> /run/install (see commit 309bbbb).

Try rebuilding with a newer lorax?
Comment 6 Mark Hamzy 2012-04-27 14:35:20 EDT
<mock-chroot>[root@chukar ~]# rpm -qa | grep lorax
lorax-17.10-1.fc17.ppc64
<mock-chroot>[root@chukar ~]# rpm -qa | grep pungi
pungi-2.10-1.fc17.noarch

Will download the lastest lorax and pungi and rebuild, thanks!
Comment 7 Mark Hamzy 2012-04-27 15:31:50 EDT
<mock-chroot>[root@chukar ~]# rpm -qa | grep lorax
lorax-17.16-1.fc17.ppc64
<mock-chroot>[root@chukar ~]# rpm -qa | grep pungi
pungi-2.11-1.fc17.noarch


[anaconda root@9-5-90-148 /]# ls -l /mnt
total 4
lrwxrwxrwx. 1 root root   14 Apr 27 13:51 install -> ../run/install
drwxr-xr-x. 8 root root 4096 Apr 27 14:24 sysimage
[anaconda root@9-5-90-148 /]# mount | grep sr0
/dev/sr0 on /run/initramfs/live type iso9660 (ro,relatime)
[anaconda root@9-5-90-148 /]# ls /run/install/
isodir  ks.cfg  repo
[anaconda root@9-5-90-148 /]# ls /run/install/repo/
[anaconda root@9-5-90-148 /]# ls /run/install/isodir/
Comment 8 Daniel Dekok 2012-05-01 00:14:20 EDT
Hi,

I'm seeing the same issue with the fc17 beta x86_64 dvd.

The installer fails with the same message as the attached log. 

If the kickstart is graphical, the edit feature works, and automatically finds the correct mountpoint and repo for the local installation.  However in text mode the edit function is unavailable.

Either way, the problem can also be resolved by running the following command from a shell, which allows the installer to retry and continue correctly.

ln -sf /run/initramfs/live /mnt/install/source

The cd doesn't seem to be mounted in the place expected by the installer.
Comment 9 Mark Hamzy 2012-05-01 11:56:24 EDT
Thanks, Daniel.

I have verified that creating that symbolic link

[anaconda root@9-5-90-177 /]# ls /mnt/install
isodir  ks.cfg  repo
[anaconda root@9-5-90-177 /]# ln -sf /run/initramfs/live /mnt/install/source

and then selecting "retry" will allow installation to continue.
Comment 10 Fedora Update System 2012-05-04 18:59:50 EDT
anaconda-17.25-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/anaconda-17.25-1.fc17
Comment 11 Fedora Update System 2012-05-04 22:09:25 EDT
Package anaconda-17.25-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-17.25-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-7353/anaconda-17.25-1.fc17
then log in and leave karma (feedback).
Comment 12 Fedora Update System 2012-05-08 00:18:10 EDT
anaconda-17.25-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Mark Hamzy 2012-05-08 17:15:57 EDT
This is not fixed.
Comment 14 Brian Lane 2012-05-08 19:10:54 EDT
Try this updates image:
http://bcl.fedorapeople.org/updates/817084.img
Comment 15 Mark Hamzy 2012-05-09 11:12:35 EDT
817084.img fixed it.
Comment 16 Fedora Update System 2012-05-09 20:02:04 EDT
anaconda-17.26-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/anaconda-17.26-1.fc17
Comment 17 Fedora Update System 2012-05-10 16:40:18 EDT
Package anaconda-17.26-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-17.26-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-7623/anaconda-17.26-1.fc17
then log in and leave karma (feedback).
Comment 18 Fedora Update System 2012-05-12 12:21:33 EDT
anaconda-17.26-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.